import BaseCurdApi from './BaseCurdApi'

class PrintCodeApi extends BaseCurdApi {
  constructor () {
    super('/print/code')
  }

  getPrintCode = (id) => this.api({
    url: `${this.basePath}/list/${id}`,
    method: 'GET'
  })

  rePrint = (data) => this.api({
    url: `${this.basePath}/reprint/send`,
    method: 'POST',
    data
  })

  importData = (data) => {
    const formData = new FormData()
    formData.append('file', data.file)
    return this.api({
      url: `${this.basePath}/reprint/send/import`,
      method: 'POST',
      data: formData,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    })
  }
}

export default new PrintCodeApi()
