import BaseCurdEntry from './BaseCurdEntry'

import tagCodeApi from '@@/api/TagCodeApi'
import TagApplyState from './TagApplyState'
import Provider from './Provider'

export default class TagCode extends BaseCurdEntry {
  orderNo

  serialNumberRange
  get formatSerialNumberRange () {
    const { serialNumberRange } = this
    return serialNumberRange ? serialNumberRange.join('-') : ''
  }

  dataTime
  get formatDataTime () {
    return new Date(this.dataTime).format('YYYY-MM-DD')
  }

  expectedReceiptDate
  get formatExpectedReceiptDate () {
    return new Date(this.expectedReceiptDate).format('YYYY-MM-DD')
  }

  providerName

  tagApplyStateId
  get tagApplyStateName () {
    const config = TagCode.$$optionData.TagApplyState
    if (config) {
      const option = config.map[this.tagApplyStateId]
      if (option) {
        return option[TagApplyState.$$nameProp]
      }
    }

    return ''
  }

  operatorName

  static get $$name () {
    return 'TagCode'
  }

  static $$getQuery = () => ({
    providerId: '',
    tagApplyStateId: ''
  })

  static get $$api () {
    return tagCodeApi
  }

  static $$optionTargetConfigGroup = [
    [{
      Target: TagApplyState,
      getQuery: () => ({type: 2}),
      setQuery: (options, query, Target) => {
        const [ option ] = options
        if (option) {
          query.tagApplyStateId = option[Target.$$idProp]
        }
      }
    }, {
      Target: Provider
      // setQuery: (options, query, Target) => {
      //   const [ option ] = options
      //   if (option) {
      //     query.providerId = option[Target.$$idProp]
      //   }
      // }
    }]
  ]
  static $$optionData = {}
}
