import BaseCurdEntry from './BaseCurdEntry'

import tagDistributeApi from '@@/api/TagDistributeApi'

import Provider from './Provider'

import TagApplyState from './TagApplyState'

import DeliveryType from './DeliveryType'

export default class TagDistribute extends BaseCurdEntry {
  id

  orderNo

  dataTime
  get formatDataTime () {
    return new Date(this.dataTime).format('YYYY-MM-DD')
  }

  expectedReceiptDate
  get formatExpectedReceiptDate () {
    return new Date(this.expectedReceiptDate).format('YYYY-MM-DD')
  }

  providerId
  get providerName () {
    const config = TagDistribute.$$optionData.Provider
    if (config) {
      const option = config.map[this.providerId]
      if (option) {
        return option[Provider.$$nameProp]
      }
    }

    return ''
  }

  tagTypeName

  number

  amount

  tagApplyStateId
  get tagApplyStateName () {
    const config = TagDistribute.$$optionData.TagApplyState
    if (config) {
      const option = config.map[this.tagApplyStateId]
      if (option) {
        return option[TagApplyState.$$nameProp]
      }
    }

    return ''
  }

  operatorName

  deliveryMethodId

  deliveryOrderNo

  static get $$name () {
    return 'TagDistribute'
  }

  static get $$api () {
    return tagDistributeApi
  }

  static $$getQuery = () => ({
    tagApplyStateId: '',
    providerId: '',
    order: [['dataTime', 'DESC']]
  })

  static $$optionTargetConfigGroup = [
    [{
      Target: TagApplyState,
      getQuery: () => ({type: 8}),
      setQuery: (options, query, Target) => {
        const [ option ] = options
        if (option) {
          query.tagApplyStateId = option[Target.$$idProp]
        }
      }
    }, {
      Target: Provider
      // setQuery: (options, query, Target) => {
      //   const [ option ] = options
      //   if (option) {
      //     query.providerId = option[Target.$$idProp]
      //   }
      // }
    }, {
      Target: DeliveryType
    }]
  ]

  static $$optionData = {}
}
