import Vue from 'vue'
import Router from 'vue-router'
import Index from '@@/views/Index'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/page-in-src',
      name: 'Index',
      component: Index,
      children: [{
        path: '/page-in-src/tag-apply',
        name: 'OrderForTag',
        meta: {
          title: '申领订单',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagApply.vue')
      }, {
        path: '/page-in-src/tag-purchase',
        name: 'PurchaseForTag',
        meta: {
          title: '采购订单',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagPurchase.vue')
      }, {
        path: '/page-in-src/tag-code',
        name: 'TagCode',
        meta: {
          title: '赋码打印',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagCode.vue')
      }, {
        path: '/page-in-src/tag-buy-sell',
        name: 'TagCode',
        meta: {
          title: '标签购销',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagBuySell.vue')
      }, {
        path: '/page-in-src/tag-inventory',
        name: 'TagInventory',
        meta: {
          title: '标签库存',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagInventory.vue')
      }, {
        path: '/page-in-src/message-center',
        name: 'MessageCenter',
        meta: {
          title: '消息中心',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/MessageCenter.vue')
      }, {
        path: '/page-in-src/provider-detail',
        name: 'ProviderDetail',
        meta: {
          title: '供应商信息',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/ProviderDetail.vue')
      }, {
        path: '/page-in-src/material-detail',
        name: 'MaterialDetail',
        meta: {
          title: '入库物资信息',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/MaterialDetail.vue')
      }, {
        path: '/page-in-src/material-tag',
        name: 'MaterialTag',
        meta: {
          title: '入库物资标签',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/MaterialTag.vue')
      }, {
        path: '/page-in-src/tag-distribute',
        name: 'TagDistribute',
        meta: {
          title: '标签发放',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagDistribute.vue')
      }, {
        path: '/page-in-src/print-queue',
        name: 'PrintQueue',
        meta: {
          title: '打印队列',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/PrintQueue.vue')
      }, {
        path: '/page-in-src/tag-provider-detail',
        name: 'TagProviderDetail',
        meta: {
          title: '标签供应商',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagProviderDetail.vue')
      }, {
        path: '/page-in-src/tag-nullify',
        name: 'TagNullify',
        meta: {
          title: '标签作废',
          permission: 'isAuthenticated'
        },
        component: () => import('@@/views/TagNullify.vue')
      }]
    }
  ]
})
